#include <QtGui>
#include "demowindow.h"

DemoWindow::DemoWindow()  //constructeur
{
    openAct = new QAction(QIcon(":/images/open.png"), tr("&Open..."), this);    //demo4
    openAct->setShortcut(tr("Ctrl+O"));    //demo4
    openAct->setStatusTip(tr("Open an existing file"));    //demo4
    connect(openAct, SIGNAL(triggered()), this, SLOT(open()));    //demo4
   
    testAct = new QAction(tr("Test"), this);    //demo4
    testAct->setShortcut(tr("Ctrl+T"));    //demo4
    testAct->setStatusTip(tr("To make tests"));    //demo4
    connect(testAct, SIGNAL(triggered()), this, SLOT(test()));    //demo4

    exitAct = new QAction(tr("E&xit"), this);
    exitAct->setShortcut(tr("Ctrl+Q"));
    exitAct->setStatusTip(tr("Exit the application"));
    connect(exitAct, SIGNAL(triggered()), this, SLOT(close()));

    fileMenu = menuBar()->addMenu(tr("&File"));
    fileMenu->addAction(openAct);    //demo4
    fileMenu->addAction(testAct);    //demo4
    fileMenu->addSeparator();    //demo4
    fileMenu->addAction(exitAct);

    fileToolBar = addToolBar(tr("File"));    //demo4
    fileToolBar->addAction(openAct);    //demo4

    editeur=new QTextEdit;  
    setCentralWidget(editeur);  

    resize(400, 300); 

    statusBar()->showMessage(tr("Ready"));
}

void DemoWindow::open()    //demo4
{
    QString fileName = QFileDialog::getOpenFileName(this);
    if (!fileName.isEmpty())
         QMessageBox::information(this, "test open", "file to open :\n"+fileName); 
}
void DemoWindow::test()    //demo4
{
   QMessageBox::information(this, "test", "un test");
}
